.story {
    background: var(--color-bg8);
    color: var(--color-contrast);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: -5rem 1rem 2rem 1rem;
    padding: 5rem 1rem;
    border-radius: 20rem;
}

.story-title h1 {
    font-family: var(--font-display);
    font-size: 4rem;
    margin-bottom: 1rem;
}

.content-story {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.story-slides {
    display: flex;
    transition: transform 1s ease; /* animasi slide */
    will-change: transform;
}

.story-slide {
    flex: 0 0 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.story-slide img {
    width: 90%;
    margin: auto;
    height: auto;
    display: block;
}

.story-slide h2 {
    font-size: 2rem;
    font-family: var(--font-display);
    margin: 1rem 0 0.5rem 0;
}

.story-slide p {
    width: 90%;
    font-family: var(--font-content);
    font-size: 1rem;
}

/* tombol navigasi */
.story-btn {
    position: absolute;
    top: 30%;
    transform: translateY(-50%);
    background: rgba(0,0,0,0.5);
    color: var(--color-light);
    border: none;
    font-size: 2rem;
    width: 48px;
    height: 48px;
    border-radius: 999px;
    box-shadow: 0 6px 18px rgba(0,0,0,0.2);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    z-index: 10;
}
.story-btn.prev { left: 0rem; }
.story-btn.next { right: 0rem; }